import JolkEngine


public struct XnaColour
{
	public static let Transparent          = Colour.zero
	public static let AliceBlue            = Colour(fromRgb24: 0xF0F8FF)
	public static let AntiqueWhite         = Colour(fromRgb24: 0xFAEBD7)
	public static let Aqua                 = Colour(fromRgb24: 0x00FFFF)
	public static let Aquamarine           = Colour(fromRgb24: 0x7FFFD4)
	public static let Azure                = Colour(fromRgb24: 0xF0FFFF)
	public static let Beige                = Colour(fromRgb24: 0xF5F5DC)
	public static let Bisque               = Colour(fromRgb24: 0xFFE4C4)
	public static let Black                = Colour.black
	public static let BlanchedAlmond       = Colour(fromRgb24: 0xFFEBCD)
	public static let Blue                 = Colour(fromRgb24: 0x0000FF)
	public static let BlueViolet           = Colour(fromRgb24: 0x8A2BE2)
	public static let Brown                = Colour(fromRgb24: 0xA52A2A)
	public static let BurlyWood            = Colour(fromRgb24: 0xDEB887)
	public static let CadetBlue            = Colour(fromRgb24: 0x5F9EA0)
	public static let Chartreuse           = Colour(fromRgb24: 0x7FFF00)
	public static let Chocolate            = Colour(fromRgb24: 0xD2691E)
	public static let Coral                = Colour(fromRgb24: 0xFF7F50)
	public static let CornflowerBlue       = Colour(fromRgb24: 0x6495ED)
	public static let Cornsilk             = Colour(fromRgb24: 0xFFF8DC)
	public static let Crimson              = Colour(fromRgb24: 0xDC143C)
	public static let Cyan                 = Colour(fromRgb24: 0x00FFFF)
	public static let DarkBlue             = Colour(fromRgb24: 0x00008B)
	public static let DarkCyan             = Colour(fromRgb24: 0x008B8B)
	public static let DarkGoldenrod        = Colour(fromRgb24: 0xB8860B)
	public static let DarkGray             = Colour(fromRgb24: 0xA9A9A9)
	public static let DarkGreen            = Colour(fromRgb24: 0x006400)
	public static let DarkKhaki            = Colour(fromRgb24: 0xBDB76B)
	public static let DarkMagenta          = Colour(fromRgb24: 0x8B008B)
	public static let DarkOliveGreen       = Colour(fromRgb24: 0x556B2F)
	public static let DarkOrange           = Colour(fromRgb24: 0xFF8C00)
	public static let DarkOrchid           = Colour(fromRgb24: 0x9932CC)
	public static let DarkRed              = Colour(fromRgb24: 0x8B0000)
	public static let DarkSalmon           = Colour(fromRgb24: 0xE9967A)
	public static let DarkSeaGreen         = Colour(fromRgb24: 0x8FBC8B)
	public static let DarkSlateBlue        = Colour(fromRgb24: 0x483D8B)
	public static let DarkSlateGray        = Colour(fromRgb24: 0x2F4F4F)
	public static let DarkTurquoise        = Colour(fromRgb24: 0x00CED1)
	public static let DarkViolet           = Colour(fromRgb24: 0x9400D3)
	public static let DeepPink             = Colour(fromRgb24: 0xFF1493)
	public static let DeepSkyBlue          = Colour(fromRgb24: 0x00BFFF)
	public static let DimGray              = Colour(fromRgb24: 0x696969)
	public static let DodgerBlue           = Colour(fromRgb24: 0x1E90FF)
	public static let Firebrick            = Colour(fromRgb24: 0xB22222)
	public static let FloralWhite          = Colour(fromRgb24: 0xFFFAF0)
	public static let ForestGreen          = Colour(fromRgb24: 0x228B22)
	public static let Fuchsia              = Colour(fromRgb24: 0xFF00FF)
	public static let Gainsboro            = Colour(fromRgb24: 0xDCDCDC)
	public static let GhostWhite           = Colour(fromRgb24: 0xF8F8FF)
	public static let Gold                 = Colour(fromRgb24: 0xFFD700)
	public static let Goldenrod            = Colour(fromRgb24: 0xDAA520)
	public static let Gray                 = Colour(fromRgb24: 0x808080)
	public static let Green                = Colour(fromRgb24: 0x008000)
	public static let GreenYellow          = Colour(fromRgb24: 0xADFF2F)
	public static let Honeydew             = Colour(fromRgb24: 0xF0FFF0)
	public static let HotPink              = Colour(fromRgb24: 0xFF69B4)
	public static let IndianRed            = Colour(fromRgb24: 0xCD5C5C)
	public static let Indigo               = Colour(fromRgb24: 0x4B0082)
	public static let Ivory                = Colour(fromRgb24: 0xFFFFF0)
	public static let Khaki                = Colour(fromRgb24: 0xF0E68C)
	public static let Lavender             = Colour(fromRgb24: 0xE6E6FA)
	public static let LavenderBlush        = Colour(fromRgb24: 0xFFF0F5)
	public static let LawnGreen            = Colour(fromRgb24: 0x7CFC00)
	public static let LemonChiffon         = Colour(fromRgb24: 0xFFFACD)
	public static let LightBlue            = Colour(fromRgb24: 0xADD8E6)
	public static let LightCoral           = Colour(fromRgb24: 0xF08080)
	public static let LightCyan            = Colour(fromRgb24: 0xE0FFFF)
	public static let LightGoldenrodYellow = Colour(fromRgb24: 0xFAFAD2)
	public static let LightGray            = Colour(fromRgb24: 0xD3D3D3)
	public static let LightGreen           = Colour(fromRgb24: 0x90EE90)
	public static let LightPink            = Colour(fromRgb24: 0xFFB6C1)
	public static let LightSalmon          = Colour(fromRgb24: 0xFFA07A)
	public static let LightSeaGreen        = Colour(fromRgb24: 0x20B2AA)
	public static let LightSkyBlue         = Colour(fromRgb24: 0x87CEFA)
	public static let LightSlateGray       = Colour(fromRgb24: 0x778899)
	public static let LightSteelBlue       = Colour(fromRgb24: 0xB0C4DE)
	public static let LightYellow          = Colour(fromRgb24: 0xFFFFE0)
	public static let Lime                 = Colour(fromRgb24: 0x00FF00)
	public static let LimeGreen            = Colour(fromRgb24: 0x32CD32)
	public static let Linen                = Colour(fromRgb24: 0xFAF0E6)
	public static let Magenta              = Colour(fromRgb24: 0xFF00FF)
	public static let Maroon               = Colour(fromRgb24: 0x800000)
	public static let MediumAquamarine     = Colour(fromRgb24: 0x66CDAA)
	public static let MediumBlue           = Colour(fromRgb24: 0x0000CD)
	public static let MediumOrchid         = Colour(fromRgb24: 0xBA55D3)
	public static let MediumPurple         = Colour(fromRgb24: 0x9370DB)
	public static let MediumSeaGreen       = Colour(fromRgb24: 0x3CB371)
	public static let MediumSlateBlue      = Colour(fromRgb24: 0x7B68EE)
	public static let MediumSpringGreen    = Colour(fromRgb24: 0x00FA9A)
	public static let MediumTurquoise      = Colour(fromRgb24: 0x48D1CC)
	public static let MediumVioletRed      = Colour(fromRgb24: 0xC71585)
	public static let MidnightBlue         = Colour(fromRgb24: 0x191970)
	public static let MintCream            = Colour(fromRgb24: 0xF5FFFA)
	public static let MistyRose            = Colour(fromRgb24: 0xFFE4E1)
	public static let Moccasin             = Colour(fromRgb24: 0xFFE4B5)
	public static let MonoGameOrange       = Colour(fromRgb24: 0xE73C00)
	public static let NavajoWhite          = Colour(fromRgb24: 0xFFDEAD)
	public static let Navy                 = Colour(fromRgb24: 0x000080)
	public static let OldLace              = Colour(fromRgb24: 0xFDF5E6)
	public static let Olive                = Colour(fromRgb24: 0x808000)
	public static let OliveDrab            = Colour(fromRgb24: 0x6B8E23)
	public static let Orange               = Colour(fromRgb24: 0xFFA500)
	public static let OrangeRed            = Colour(fromRgb24: 0xFF4500)
	public static let Orchid               = Colour(fromRgb24: 0xDA70D6)
	public static let PaleGoldenrod        = Colour(fromRgb24: 0xEEE8AA)
	public static let PaleGreen            = Colour(fromRgb24: 0x98FB98)
	public static let PaleTurquoise        = Colour(fromRgb24: 0xAFEEEE)
	public static let PaleVioletRed        = Colour(fromRgb24: 0xDB7093)
	public static let PapayaWhip           = Colour(fromRgb24: 0xFFEFD5)
	public static let PeachPuff            = Colour(fromRgb24: 0xFFDAB9)
	public static let Peru                 = Colour(fromRgb24: 0xCD853F)
	public static let Pink                 = Colour(fromRgb24: 0xFFC0CB)
	public static let Plum                 = Colour(fromRgb24: 0xDDA0DD)
	public static let PowderBlue           = Colour(fromRgb24: 0xB0E0E6)
	public static let Purple               = Colour(fromRgb24: 0x800080)
	public static let Red                  = Colour(fromRgb24: 0xFF0000)
	public static let RosyBrown            = Colour(fromRgb24: 0xBC8F8F)
	public static let RoyalBlue            = Colour(fromRgb24: 0x4169E1)
	public static let SaddleBrown          = Colour(fromRgb24: 0x8B4513)
	public static let Salmon               = Colour(fromRgb24: 0xFA8072)
	public static let SandyBrown           = Colour(fromRgb24: 0xF4A460)
	public static let SeaGreen             = Colour(fromRgb24: 0x2E8B57)
	public static let SeaShell             = Colour(fromRgb24: 0xFFF5EE)
	public static let Sienna               = Colour(fromRgb24: 0xA0522D)
	public static let Silver               = Colour(fromRgb24: 0xC0C0C0)
	public static let SkyBlue              = Colour(fromRgb24: 0x87CEEB)
	public static let SlateBlue            = Colour(fromRgb24: 0x6A5ACD)
	public static let SlateGray            = Colour(fromRgb24: 0x708090)
	public static let Snow                 = Colour(fromRgb24: 0xFFFAFA)
	public static let SpringGreen          = Colour(fromRgb24: 0x00FF7F)
	public static let SteelBlue            = Colour(fromRgb24: 0x4682B4)
	public static let Tan                  = Colour(fromRgb24: 0xD2B48C)
	public static let Teal                 = Colour(fromRgb24: 0x008080)
	public static let Thistle              = Colour(fromRgb24: 0xD8BFD8)
	public static let Tomato               = Colour(fromRgb24: 0xFF6347)
	public static let Turquoise            = Colour(fromRgb24: 0x40E0D0)
	public static let Violet               = Colour(fromRgb24: 0xEE82EE)
	public static let Wheat                = Colour(fromRgb24: 0xF5DEB3)
	public static let White                = Colour.white
	public static let WhiteSmoke           = Colour(fromRgb24: 0xF5F5F5)
	public static let Yellow               = Colour(fromRgb24: 0xFFFF00)
	public static let YellowGreen          = Colour(fromRgb24: 0x9ACD32)
}
